Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 468736 - Add a warning message when provisioning from RHEL5 to RHEL4
Summary: Add a warning message when provisioning from RHEL5 to RHEL4
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Spacewalk
Classification: Community
Component: WebUI
Version: 0.3
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: John Matthews
QA Contact: John Matthews
URL:
Whiteboard:
Depends On:
Blocks: space04
TreeView+ depends on / blocked
 
Reported: 2008-10-27 18:51 UTC by John Matthews
Modified: 2009-09-17 07:06 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-17 07:06:36 UTC


Attachments (Terms of Use)

Description John Matthews 2008-10-27 18:51:33 UTC
Description of problem:
When going from RHEL5 to RHEL4, the RHEL4 GPG key is required by the kickstart packages.  A user needs to manually install the RHEL 4 GPG key,
rpm --import /etc/pki/rpm-gpg/RPM-GPG-KEY-redhat-former

This bz is to track the work to add a warning message to the kickstart webui to note this additional step is needed.

Comment 2 Jesus M. Rodriguez 2009-01-15 04:12:14 UTC
How do I test this thing?

Comment 3 John Matthews 2009-01-15 14:36:10 UTC
To test:

1) sync rhel4 & rhel5 content
2) Register a rhel4 system to spacewalk
3) Configure it to kickstart to rhel5.

Notice a simple text message instructing the user they need install the rhel4 key manually.

Note:  This change was done prior to the cobbler work, maybe it's no longer needed.

Comment 5 Miroslav Suchý 2009-09-17 07:06:36 UTC
Spacewalk 0.4 has been released for some time.


Note You need to log in before you can comment on or make changes to this bug.